<!DOCTYPE html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <title>Learn vue lesson 2 - updated data and bind event</title>
</head>
<body>

<script src="https://vuejs.org/js/vue.js"></script>

<div id="app">
    <p>current message: {{message}}</p>
    <ul>
        <li v-for="task in tasksList" v-text="task"></li>
    </ul>

    <input type="text" v-model="newTask"/>
    <button @click="addTask">Add task</button>
</div>

<script>
    new Vue({
        el: '#app',
        data: {
            message: "This is your current task list",
            tasksList: ["Task1", "Task2", "Task3"],
            newTask: ""
        },

        methods: {
            addTask: function () {
                this.tasksList.push(this.newTask)
                this.newTask = ""
            }
        }
    });
</script>

</body>
</html>